Nilesh Patra pushed to branch master at Debian Med / volpack


Commits:
5a65d0a3 by Nilesh Patra at 2020-08-13T15:13:15+05:30
Fix Makefile

- - - - -
533d022d by Nilesh Patra at 2020-08-13T15:13:46+05:30
Fix test.sh

- - - - -
aec9db7b by Nilesh Patra at 2020-08-13T15:15:18+05:30
Add autopkgtests

- - - - -


4 changed files:

- debian/examples/Makefile
- debian/examples/test.sh
- + debian/tests/control
- + debian/tests/run-unit-test


Changes:

=====================================
debian/examples/Makefile
=====================================
@@ -2,17 +2,23 @@
 # Andreas Tille <[email protected]>  Mon, 10 Dec 2007
 # GPL
 
+CC=gcc
 CFLAGS=-g -O2 -Wall
 LDFLAGS=-s -lvolpack
 
-TARGETS=classifyvolume makeoctree makevolume rendervolume scalevolume
+SOURCES=classifyvolume.c makeoctree.c makevolume.c rendervolume.c
+TARGETS=classifyvolume makeoctree makevolume rendervolume
 
-all: $(TARGETS)
+all: $(TARGETS) scalevolume
 
-scalevolume: scalevolume.c denfile.c
+$(TARGETS): %: %.c
+       $(CC) $(CFLAGS) $< -o $@ $(LDFLAGS)
+
+scalevolume: scalevolume.c
+       $(CC) $(CFLAGS) $< denfile.c -o $@ $(LDFLAGS)
 
 test: all
-       test.sh
+       ./test.sh
 
 clean:
        rm -rf *.o *~


=====================================
debian/examples/test.sh
=====================================
@@ -1,25 +1,25 @@
 #!/bin/bash -f
 
 echo "*** makevolume ***"
-time makevolume
+time ./makevolume
 echo "*** rendervolume ***"
-time rendervolume
-mv brainsmall.ppm brainsmall1.ppm
+time ./rendervolume
+mv ./brainsmall.ppm ./brainsmall1.ppm
 
 echo "*** makeoctree ***"
-time makeoctree
+time ./makeoctree
 echo "*** rendervolume -octree ***"
-time rendervolume -octree
-mv brainsmall.ppm brainsmall2.ppm
+time ./rendervolume -octree
+mv ./brainsmall.ppm ./brainsmall2.ppm
 
 echo "*** classifyvolume ***"
-time classifyvolume
+time ./classifyvolume
 echo "*** rendervolume -classified ***"
-time rendervolume -classified
-mv brainsmall.ppm brainsmall3.ppm
+time ./rendervolume -classified
+mv ./brainsmall.ppm ./brainsmall3.ppm
 
 echo "*** classifyvolume -octree ***"
-time classifyvolume -octree
+time ./classifyvolume -octree
 echo "*** rendervolume -classified ***"
-time rendervolume -classified
-mv brainsmall.ppm brainsmall4.ppm
+time ./rendervolume -classified
+mv ./brainsmall.ppm ./brainsmall4.ppm


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,4 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr
+


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -e
+
+pkg=libvolpack1-dev
+
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp /usr/share/doc/${pkg}/examples/* -a "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+gunzip -r *
+
+echo 'Begin Testing ...'
+make test
+
+echo 'PASS'



View it on GitLab: 
https://salsa.debian.org/med-team/volpack/-/compare/f77f46015ac0a4eb27be2908c33b07bf5882499d...aec9db7bff65b3923f20df47a1b6284b211ad8c6

-- 
View it on GitLab: 
https://salsa.debian.org/med-team/volpack/-/compare/f77f46015ac0a4eb27be2908c33b07bf5882499d...aec9db7bff65b3923f20df47a1b6284b211ad8c6
You're receiving this email because of your account on salsa.debian.org.


_______________________________________________
debian-med-commit mailing list
[email protected]
https://alioth-lists.debian.net/cgi-bin/mailman/listinfo/debian-med-commit

Reply via email to